Bug 1243842 (CVE-2015-5607)

Summary: CVE-2015-5607 iptyhon: cross-site request forgery in get_origin()
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, dcantrell, michel, mrunge, orion, python-sig, shahms, tomspur
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-07-27 18:32:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1243844, 1243843    
Bug Blocks:    

Description Vasyl Kaigorodov 2015-07-16 12:56:11 UTC
POST requests exposed via the IPython REST API are vulnerable to
cross-site request forgery (CSRF). Web pages on different domains can make
non-AJAX POST requests to known IPython URLs, and IPython will honor them.
The user's browser will automatically send IPython cookies along with the
requests. The response is blocked by the Same-Origin Policy, but the
request isn't.

API paths with issues:

* POST /api/contents/<path>/<file>
* POST /api/contents/<path>/<file>/checkpoints
* POST /api/contents/<path>/<file>/checkpoints/<checkpoint_id>
* POST /api/kernels
* POST /api/kernels/<kernel_id>/<action>
* POST /api/sessions
* POST /api/clusters/<cluster_id>/<action>

Upstream fixes:
 2.x: https://github.com/ipython/ipython/commit/a05fe052a18810e92d9be8c1185952c13fe4e5b0
 3.x: https://github.com/ipython/ipython/commit/1415a9710407e7c14900531813c15ba6165f0816

CVE request: http://seclists.org/oss-sec/2015/q3/92

Comment 1 Vasyl Kaigorodov 2015-07-16 12:57:01 UTC
Created ipython tracking bugs for this issue:

Affects: fedora-all [bug 1243843]
Affects: epel-all [bug 1243844]

Comment 2 Fedora Update System 2015-07-30 00:46:30 UTC
ipython-2.4.1-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-07-30 01:18:48 UTC
ipython-2.4.1-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.